import BaseSection from '../../../sections/BaseSection';
import { StorePageStyleModel, StorePageModal } from './store-page.model';
import { RestService } from '../../../services/rest.service';
import { ActivatedRoute } from '@angular/router';
import { LayOutModel } from '../../../styles/style.model';
import * as i0 from "@angular/core";
export declare class StorePageComponent extends BaseSection {
    private restService;
    private activeRoute;
    data?: StorePageModal;
    edit?: boolean;
    customClass?: string;
    delete?: boolean;
    index?: number;
    styles?: StorePageStyleModel;
    constructor(restService: RestService, activeRoute: ActivatedRoute);
    ngOnInit(): void;
    storeData: any;
    loading: boolean;
    getStoreDetails(storeId: string): void;
    getTextColor(bgColor: any): "#000000" | "#ffffff" | "#ffffff;";
    getTime(storeHours: any): string | undefined;
    removeUnderScore(text: string): string;
    openWhatsapp(phone: string): void;
    dialNumber(phone: string): void;
    get stylesLayout(): LayOutModel;
    static ɵfac: i0.ɵɵFactoryDeclaration<StorePageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StorePageComponent, "simpo-store-page", never, { "data": { "alias": "data"; "required": false; }; "edit": { "alias": "edit"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; "delete": { "alias": "delete"; "required": false; }; "index": { "alias": "index"; "required": false; }; }, {}, never, never, true, never>;
}
